Skip to main content
GET
/
vaults
/
{vault_id}
/
credentials
python
from notte_sdk import NotteClient

notte = NotteClient()
# retrieve an existing vault
vault = notte.Vault("<vault_id>")
creds = vault.get_credentials(
    url="https://www.google.com"
)
if creds is None:
    raise ValueError()
print(creds.get("email"), creds["password"])
import { NotteClient } from "notte-sdk";

const notte = new NotteClient();
// retrieve an existing vault
const vault = notte.Vault({ vault_id: "<vault_id>" });
const creds = await vault.getCredentials(
"https://www.google.com"
);
if (!creds) {
throw new Error("No credentials found");
}
console.log(creds.email, creds.password);
curl -X GET "https://api.notte.cc/vaults/$vault_id" \
-H "Authorization: Bearer $NOTTE_API_KEY" \
-H "Content-Type: application/json"
{
  "credentials": {
    "password": "<string>",
    "email": "<string>",
    "username": "<string>",
    "mfa_secret": "<string>"
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-notte-request-origin
string | null
x-notte-sdk-version
string | null

Path Parameters

vault_id
string
required

Query Parameters

url
string
required

URL upon which to get credentials

Response

Successful Response

credentials
CredentialsDict · object
required

Retrieved credentials